Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Contributor
rspaulino
Posts: 4
Registered: ‎08-03-2010
Accepted Solution

BlackBerry Java SDK v6.0 doesn't work with Eclipse v3.6

How blackberry trying to compete with other smartphone when it come to apps when them tools can't anti even compatible with the latest version out there like Eclipse 3.6 or them plug-in for Visual Studio 2010.

 

As a programmer I'm really disappointed at a company that way this long to release a SDKs to the developer and not even are ready to be use with the latest tools.

Please use plain text.
Developer
rcmaniac25
Posts: 1,804
Registered: ‎04-28-2009
My Carrier: Verizon

Re: BlackBerry Java SDK v6.0 doesn't work with Eclipse v3.6

Welcome to the forums.

 

RIM discontinued the Visual Studio plugin a while ago so VS2010 will likely never be supported. As for Eclipse 3.6, the requirements say 3.5 Classic. Usually if it can support a version higher it would say so.

---Spends time in #blackberrydev on freenode (IRC)----
Three simple rules:
1. Please use the search bar before making new posts.
2. "Like" posts that you find helpful.
3. If a solution has been found for your post, mark it as solved.
--I code too much. Well, too bad.
Please use plain text.
New Contributor
rspaulino
Posts: 4
Registered: ‎08-03-2010

Re: BlackBerry Java SDK v6.0 doesn't work with Eclipse v3.6

Thank you.

 

and yes i know is discontinued. and i know what the requirement say, what I'm trying to understand is why the blackberry team doesn't try to catch up with the latest tool because new version usually bring some improvement that people want but now feel that they're holding people down.

Please use plain text.
Developer
rcmaniac25
Posts: 1,804
Registered: ‎04-28-2009
My Carrier: Verizon

Re: BlackBerry Java SDK v6.0 doesn't work with Eclipse v3.6

RIM has never been the fastest when it comes to developer tools.

 

One big tool that many people want is the GUI builder, they announced it last December, said it would come out mid-2010 (so ~June) and we are still waiting.

 

As annoying as it is we just work around it, when it comes our development time decreases but we still have options if the tool isn't working or we don't like how it works.

---Spends time in #blackberrydev on freenode (IRC)----
Three simple rules:
1. Please use the search bar before making new posts.
2. "Like" posts that you find helpful.
3. If a solution has been found for your post, mark it as solved.
--I code too much. Well, too bad.
Please use plain text.
New Contributor
rspaulino
Posts: 4
Registered: ‎08-03-2010

Re: BlackBerry Java SDK v6.0 doesn't work with Eclipse v3.6

True that, i guess i will take ur advice and try to make it work for me but Blackberry don't know how much more developer will be interested in them OS if they put more man power to offer better tooling.

 

Anyways thank you.

Please use plain text.
Developer
ekke
Posts: 1,321
Registered: ‎04-08-2010
My Carrier: Telekom.de, O2, Vodafone

Re: BlackBerry Java SDK v6.0 doesn't work with Eclipse v3.6

I also had hoped that SDK 6 will bring the long awaited:

 

* Eclipse 3.6 Helios Support

* Windows 7-64 Support

* OSX Support

 

all these are more important (for me) then the GUI builder ;-)

-------------------------------------------------------------------------------
ekke (independent software architect, rosenheim, germany)

BlackBerry Elite Developer
International Development Mobile Apps BlackBerry 10 Cascades
Cascades - Workshops / Trainings / Bootcamps

Open Source Enthusiast
blog: http://ekkes-corner.org videos: http://www.youtube.com/user/ekkescorner
bb10-development: http://appbus.org Twitter: @ekkescorner
Please use plain text.
New Contributor
rspaulino
Posts: 4
Registered: ‎08-03-2010

Re: BlackBerry Java SDK v6.0 doesn't work with Eclipse v3.6

i totally agree with u ekke specially when u have eclipse already dropping early developer preview of eclipse 4.0 so we can get up to speed or when every new computer this day come with windows 7 - 64 bit or when you have android and palm with cross platform tool.

 

I think BB team need to do a lot of catch up to do and as a developer this stuff worry me.

Please use plain text.
Developer
rcmaniac25
Posts: 1,804
Registered: ‎04-28-2009
My Carrier: Verizon

Re: BlackBerry Java SDK v6.0 doesn't work with Eclipse v3.6

[ Edited ]

What changes does Eclipse 3.6 bring over 3.5? (Didn't check. See EDIT)

They actually do support Windows 7 and x64 (they said "64bit operating systems need to have 32bit Java installed").

OSX (and Linux) support will probably come with the GUI builder and a new Eclipse plugin (I don't know of any other way to get some of those features as addon).

 

EDIT: Read some of the reviews from below. It seems good but I don't see many features besides something like the "instance count" that would be truely helpful for BB development, though it would be nice to have the plugins "foward compatable" just like the apps that we make for the BB. Just my opinion.

---Spends time in #blackberrydev on freenode (IRC)----
Three simple rules:
1. Please use the search bar before making new posts.
2. "Like" posts that you find helpful.
3. If a solution has been found for your post, mark it as solved.
--I code too much. Well, too bad.
Please use plain text.
Developer
ekke
Posts: 1,321
Registered: ‎04-08-2010
My Carrier: Telekom.de, O2, Vodafone

Re: BlackBerry Java SDK v6.0 doesn't work with Eclipse v3.6

a good overview what changed im helios can be found from the reviews:

http://www.eclipse.org/helios/blogathon/reviews.php

-------------------------------------------------------------------------------
ekke (independent software architect, rosenheim, germany)

BlackBerry Elite Developer
International Development Mobile Apps BlackBerry 10 Cascades
Cascades - Workshops / Trainings / Bootcamps

Open Source Enthusiast
blog: http://ekkes-corner.org videos: http://www.youtube.com/user/ekkescorner
bb10-development: http://appbus.org Twitter: @ekkescorner
Please use plain text.